> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get domain datasets

> Get datasets in a DataHub domain with full metadata so you can understand available data before generating models.

**Required roles**: `nx1_semantic_modeller` or `nx1_semantic_admin`



## OpenAPI

````yaml get /api/semantic-models/discovery/domains/{domain_name}/datasets
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/semantic-models/discovery/domains/{domain_name}/datasets:
    get:
      tags:
        - Semantic models
      summary: Get domain datasets
      description: >-
        Get datasets in a DataHub domain with full metadata so you can
        understand available data before generating models.


        **Required roles**: `nx1_semantic_modeller` or `nx1_semantic_admin`
      operationId: >-
        get_domain_datasets_api_semantic_models_discovery_domains__domain_name__datasets_get
      parameters:
        - name: domain_name
          in: path
          required: true
          schema:
            type: string
            title: Domain Name
      responses:
        '200':
          description: Domain datasets with metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainDatasetsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DomainDatasetsResponse:
      properties:
        domain_urn:
          type: string
          title: Domain Urn
        domain_name:
          type: string
          title: Domain Name
        datasets:
          items:
            $ref: '#/components/schemas/DatasetDetailInfo'
          type: array
          title: Datasets
      type: object
      required:
        - domain_urn
        - domain_name
        - datasets
      title: DomainDatasetsResponse
      description: Response with domain datasets.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetDetailInfo:
      properties:
        urn:
          type: string
          title: Urn
        name:
          type: string
          title: Name
        qualified_name:
          type: string
          title: Qualified Name
        description:
          type: string
          title: Description
        platform:
          type: string
          title: Platform
        column_count:
          type: integer
          title: Column Count
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
        glossary_terms:
          items:
            type: string
          type: array
          title: Glossary Terms
          default: []
        columns:
          items:
            $ref: '#/components/schemas/ColumnInfo'
          type: array
          title: Columns
          default: []
      type: object
      required:
        - urn
        - name
        - qualified_name
        - description
        - platform
        - column_count
      title: DatasetDetailInfo
      description: Detailed dataset information including columns.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ColumnInfo:
      properties:
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        native_type:
          type: string
          title: Native Type
        type:
          type: string
          title: Type
        nullable:
          type: boolean
          title: Nullable
        is_key:
          type: boolean
          title: Is Key
        tags:
          items:
            type: string
          type: array
          title: Tags
          default: []
        glossary_terms:
          items:
            type: string
          type: array
          title: Glossary Terms
          default: []
      type: object
      required:
        - name
        - description
        - native_type
        - type
        - nullable
        - is_key
      title: ColumnInfo
      description: Information about a column.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````